Get playlist reach

Available platforms are listed in the Get platforms for playlist data endpoint.

While the playlist count is available for all of these, playlist reach is only available for Spotify, Youtube, Deezer, Jiosaavn and Boomplay.

Playlist types are editorial (covers editorial & algotorial playlists), user (all user-generated playlists) and algorithmic.

Need to get the song UUID first? Use the Get song by ISRC or Get song by platform ID or Search song by name endpoints.

Request

GET /api/v2/song/{uuid}/playlist/reach/{platform}

Path parameters

Parameter Value Description Additional
uuid string A Song UUID Required
platform string A playlist platform code Required

Query string parameters

Parameter Value Description Additional
type string Available values are : 'all' or one of editorial, user, algorithmic Optional
startDate string Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date. Optional
endDate string Optional period end date (format YYYY-MM-DD) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional

Response

Code Description Resource
200 OK

A Playlist Reach Collection response

Song Playlist Reachs
400 Bad Request

Invalid request

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Song not found

Explore

A Song UUID

A playlist platform code

Available values are : 'all' or one of editorial, user, algorithmic

Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date.

Optional period end date (format YYYY-MM-DD)

Get results starting from position

Number of results (max. 100)

Try it out